<form
        [formGroup]="signinForm"
        (ngSubmit)="onSubmitSigninForm()">

    <div
            *ngIf="errorMsg" class="alert alert-danger">
        {{errorMsg}}
    </div>

    <label>Email</label>
    <div
            *ngIf="(signinForm.controls.email.dirty
            || signinForm.controls.email.touched)
            && signinForm.controls.email.invalid
            && signinForm.controls.email.errors.required"
            class="alert alert-danger">
        L'adresse email est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-email-85"></i>
                </span>
        </div>

        <input
                type="email" class="form-control" placeholder="Email"
                formControlName="email"
                [(ngModel)]="email">
    </div>


    <label>Mot de passe</label>
    <div
            *ngIf="(signinForm.controls.password.dirty
            || signinForm.controls.password.touched)
            && signinForm.controls.password.invalid
            && signinForm.controls.password.errors.required"
            class="alert alert-danger">
        Le mot de passe est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-key-25"></i>
                </span>
        </div>

        <input
                type="password" class="form-control" placeholder="Mot de passe"
                formControlName="password"
                [(ngModel)]="password">
    </div>
    <button class="btn btn-danger btn-block btn-round">Connexion</button>
</form>
